Data Fields
acc_control_helper_t Struct Reference

`#include <acc_control_helper.h>`

## Data Fields
acc_config_t * | config
acc_sensor_t * | sensor
acc_sensor_id_t | sensor_id
acc_processing_t * | processing
void * | buffer
uint32_t | buffer_size
acc_cal_result_t | cal_result
acc_processing_metadata_t | proc_meta
acc_processing_result_t | proc_result

## Detailed Description

Examples
  acc_control_helper.c, acc_processing_helpers.c, example_control_helper.c, example_processing_amplitude.c, example_processing_coherent_mean.c, example_processing_noncoherent_mean.c, example_processing_peak_interpolation.c, example_processing_static_presence.c, and example_processing_subtract_adaptive_bg.c.

Definition at line 23 of file acc_control_helper.h.

## Field Documentation

## ◆ buffer

void* acc_control_helper_t::buffer

Examples
  acc_control_helper.c.

Definition at line 29 of file acc_control_helper.h.

## ◆ buffer_size

uint32_t acc_control_helper_t::buffer_size

Examples
  acc_control_helper.c.

Definition at line 30 of file acc_control_helper.h.

## ◆ cal_result

acc_cal_result_t acc_control_helper_t::cal_result

Examples
  acc_control_helper.c.

Definition at line 31 of file acc_control_helper.h.

## ◆ config

acc_config_t* acc_control_helper_t::config

Examples
  acc_control_helper.c, example_control_helper.c, example_processing_amplitude.c, example_processing_coherent_mean.c, example_processing_noncoherent_mean.c, example_processing_peak_interpolation.c, example_processing_static_presence.c, and example_processing_subtract_adaptive_bg.c.

Definition at line 25 of file acc_control_helper.h.

## ◆ proc_meta

acc_processing_metadata_t acc_control_helper_t::proc_meta

Examples
  acc_control_helper.c, acc_processing_helpers.c, example_control_helper.c, example_processing_amplitude.c, example_processing_coherent_mean.c, example_processing_noncoherent_mean.c, example_processing_peak_interpolation.c, example_processing_static_presence.c, and example_processing_subtract_adaptive_bg.c.

Definition at line 32 of file acc_control_helper.h.

## ◆ proc_result

acc_processing_result_t acc_control_helper_t::proc_result

Examples
  acc_control_helper.c, acc_processing_helpers.c, and example_control_helper.c.

Definition at line 33 of file acc_control_helper.h.

## ◆ processing

acc_processing_t* acc_control_helper_t::processing

Examples
  acc_control_helper.c.

Definition at line 28 of file acc_control_helper.h.

## ◆ sensor

acc_sensor_t* acc_control_helper_t::sensor

Examples
  acc_control_helper.c.

Definition at line 26 of file acc_control_helper.h.

## ◆ sensor_id

acc_sensor_id_t acc_control_helper_t::sensor_id

Examples
  acc_control_helper.c.

Definition at line 27 of file acc_control_helper.h.

The documentation for this struct was generated from the following file:

- Inc/acc_control_helper.h